package org.jeecg.sy.java;

import org.apache.spark.api.java.JavaRDD;
import org.apache.spark.sql.SparkSession;

public class SparkConn {
    public static void main(String[] args) {
        // 初始化Spark
        SparkSession session = SparkUtils.initSpark("Spark Java Application");

        // 使用SparkUtils的方法处理数据
        JavaRDD<Integer> doubledNumbers = SparkUtils.doubleNumbers();
        SparkUtils.printRDD(doubledNumbers);

        // 关闭Spark
        SparkUtils.stopSpark();
    }
}

